from . import sysfs
import os


def test_magn():
    os.system("modprobe st_magn_i2c")
    sysfs.check_content_in_glob('lsm9ds1_magn\n', '/sys/bus/iio/devices/*/name')
    os.system("modprobe -r st_magn_i2c")
